from spire.doc import *
from spire.doc.common import *

# 创建一个 Document 类对象并加载一个 Word 文档
benchmark_path = "/home/ccran/contract_review_agent/benchmark"
datasets_path = f"{benchmark_path}/datasets"
clean_path = f"{benchmark_path}/clean"
items = os.listdir(datasets_path)
for item in items:
    # 创建一个 Document 类的对象
    doc = Document()
    # 加载包含批注的 Word 文档
    doc.LoadFromFile(f"{datasets_path}/{item}")
    doc.Comments.Clear()
    doc.SaveToFile(f"{clean_path}/{item}")
    doc.Close()
